=== debian/changelog ===
designate (1:18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:03:23 +0100

designate (1:18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/p/disable-edgegrid.patch,series: Drop patch to make edgegrid
    optional as this is the default upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 13:36:08 +0000

designate (1:17.0.1+git2024011916.002005a4-0ubuntu2) noble; urgency=medium

  * d/p/disable-edgegrid.patch: Restore patch dropped by mistake in
    previous upload, making python3-edgegrid an optional dependency
    again.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Feb 2024 15:57:48 +0000

designate (1:17.0.1+git2024011916.002005a4-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-nameserver-tests.patch: Drop, no longer needed.
  * d/p/*: Tidy obsolete patches.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 16:19:11 +0000
