## designate 18.1.0

=== debian/changelog ===
designate (1:18.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream relaese.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 09:56:18 +0000

designate (1:18.0.0-5) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:16:32 +0200

designate (1:18.0.0-4) unstable; urgency=medium

  * Removed python3-migrate from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 04:39:31 +0200

designate (1:18.0.0-3) unstable; urgency=medium

  [ Axel Jacquet ]
  * Add fix-regex-to-create-floating-ptr.patch.
  * Update add-new-floatingip-handler.patch so it works in Caracal.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jun 2024 12:06:45 +0200

designate (1:18.0.0-2) unstable; urgency=medium

  * Add Fix_unit_tests_depending_on_resolv.conf.patch (Closes: #1070332).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 May 2024 13:58:59 +0200

designate (1:18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:08:43 +0200

designate (1:18.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 12:15:17 +0100
