=== debian/control ===
Source: designate
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-coverage,
 python3-designateclient,
 python3-dnspython,
 python3-edgegrid,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-futurist,
 python3-greenlet,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema,
 python3-kerberos,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 0.103.0),
 python3-os-api-ref <!nodoc>,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest <!nocheck>,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-requests-mock <!nocheck>,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tempest <!nocheck>,
 python3-tenacity,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webob,
 python3-webtest <!nocheck>,
 sqlite3,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/designate
Vcs-Git: https://salsa.debian.org/openstack-team/services/designate.git
Homepage: https://github.com/openstack/designate

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 designate-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 debconf,
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server, accepting HTTP requests, validating
 authentication tokens with Keystone and passing them to the Designate Central
 service over AMQP. Multiple versions of the API can be hosted, as well as API
 extensions, allowing for pluggable extensions to the core API.

Package: designate-central
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon. It is the service that handles RPC
 requests via the MQ, it coordinates the persistent storage of data and applies
 business logic to data from the API.

Package: designate-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-designate (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains common files.

Package: designate-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mini-dns service. It is the service that sends DNS
 NOTIFY and answers zone transfer (AXFR) requests. This allows Designate to
 integrate with any DNS server that supports these very standard methods of
 communicating. designate-mdns also encapsulates all other forms of DNS
 protocol that Designate performs. For example, sending SOA queries to check
 that a change is live.

Package: designate-pool-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service. It is a service that handles the
 invocation of long-running and potentially large jobs. Producer processes
 start work for an automatically assigned shard of the zones Designate manages.
 Shards are allocated based on the first three characters of the zone ID (a
 UUID field). The number of shards under management of a single producer
 process is equal to the total number of shards divided by the number of
 producer processes. This means the more producer processes are started, the
 less work is created at any one time.
 .
 The current implemented tasks in producer include emitting dns.zone.exists
 events for Ceilometer, purging deleted zones from database, polling secondary
 zones at their refresh intervals, generating delayed NOTIFY transactions, and
 invoking a periodic recovery of zones in an error state.

Package: designate-sink
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service. It is an optional service which
 listens for event Notifications, such as compute.instance.create.end, handlers
 are available for Nova and Neutron. Notification events can then be used to
 trigger record creation & deletion.
 .
 The current sink implementations generate simple forward lookup A records,
 using a format specified in handler-nova configuration. Any field in the event
 notification can be used to generate a record.

Package: designate-worker
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service. It is a service that manages state
 of the DNS servers Designate manages, and any other long-running or otherwise
 complicated piece of work. The worker reads configuration for DNS servers from
 the Designate database, which is populated via the pools.yaml file. These DNS
 server backends are loaded into the worker so it understands how to create,
 update, and delete zones and recordsets on each DNS server. The Worker is
 fully aware of DNS Server 'Pools', so a single worker process can manage many
 pools of DNS servers.

Package: designate-zone-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
