=== debian/changelog ===
designate (1:19.0.0-4) unstable; urgency=medium

  * Blacklist 2 infoblox unit tests that are failing (Closes: #1100210).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 12:20:33 +0100

designate (1:19.0.0-3) unstable; urgency=medium

  * Switch to libjs-bootstrap5 (Closes: #1088451).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 15:40:18 +0100

designate (1:19.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090411).
    - Add override_dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:08:45 +0100

designate (1:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 15:56:36 +0200

designate (1:19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:50:31 +0200

designate (1:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-infoblox-client as (build-)depends.
  * Removed Fix_unit_tests_depending_on_resolv.conf.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 08:56:18 +0200
