=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  python3-futurist,
  python3-greenlet,
  python3-hacking,
+ python3-infoblox-client,
  python3-jinja2,
  python3-jsonschema,
  python3-kerberos,
@@ -180,7 +181,7 @@
 Section: doc
 Architecture: all
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
