## designate 19.1.0

=== debian/changelog ===
designate (1:19.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Refreshed add-new-floatingip-handler.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 13:11:27 +0000

designate (1:19.0.0-5) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:16:09 +0200
