## designate 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 alembic>=1.8.0 # MIT
-eventlet>=0.26.1 # MIT
+eventlet>=0.36.0 # MIT
 Flask!=0.11,>=0.10 # BSD
 greenlet>=0.4.15 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
@@ -37,6 +37,6 @@
 oslo.db>=8.3.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.context>=4.0.0 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
