=== debian/changelog ===
designate (1:20.0.0-2) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Apr 2025 14:01:54 +0200

designate (1:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:22:03 +0200

designate (1:20.0.0~rc1-2) unstable; urgency=medium

  * Blacklist failing in Bookworm backports:
    - TestPartitioner.test_three_even_partitions
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 21:05:52 +0100

designate (1:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist tests:
    - BasicInfobloxBackendTestCase.test_create_zone_handle_error
    - BasicInfobloxBackendTestCase.test_delete_zone_handle_error
  * Fix installing /etc/designate/rootwrap.conf as upstream source filename
    changed.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 17:48:51 +0100
