=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-designateclient,
  python3-dnspython,
  python3-edgegrid,
- python3-eventlet,
+ python3-eventlet (>= 0.36.0),
  python3-fixtures,
  python3-flask,
  python3-futurist,
@@ -44,7 +44,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.reports,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
@@ -315,4 +315,3 @@
 Description: OpenStack DNS as a Service - zone manager
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
  REST API for domain & record management. It is Integrated with Keystone for
- authentication, and provides a framework in place to integrate with Nova and
